POST Export webhook monitoring events.
POST /merchant/webhook/monitoring/sa/sample/endpoint/to/export/webhook/monitoring/events/to/external/system
Operation ID: exportMessage. Tags: Webhook Monitoring Event Webhook.
Export ExternalWebhookMonitoringMessage to merchant's system. Merchants must implement the endpoint per this specification and then configure it in CMS under CMS > Store Management > Integration > Custom API Connectors > Create. Make sure to create the endpoint in CMS with the following details:
- Under API Config:
- API Key:
MONITORING - API Endpoint: Provide the external endpoint to receive the message
- API Key:
- Under JSON Config:
- Integration Type:
HTTP_POSTor HTTP_PUT.
- Integration Type:
Request body
Media type: application/json. Schema: ExternalWebhookMonitoringMessage.
Responses
- default
Default response.
Media type:
application/json. Schema:PSResponse.